import 'package:easy_localization/easy_localization.dart';

class PriceHelper {
  static String priceFormat(
      {required double? price, String? priceUnit, bool isContact = false}) {
    if (price != null && price != 0) {
      final currencyFormatter = NumberFormat('#,###', 'VI');
      if (priceUnit != null) {
        return currencyFormatter.format(price) + " " + priceUnit;
      } else {
        return currencyFormatter.format(price) + "đ";
      }
    } else {
      if (priceUnit != null) {
        return "0" + priceUnit;
      } else {
        if (isContact) {
          return "text_contact".tr();
        } else {
          return "0đ";
        }
      }
    }
  }

  static String priceFormat2({required double? price}) {
    if (price != null && price != 0 && price >= 1000) {
      price = price / 1000;
      final currencyFormatter = NumberFormat('#,###', 'VI');
      return currencyFormatter.format(price) + "k";
    } else {
      return "0đ";
    }
  }

  static String? priceConvert({required String? price}) {
    if (price?.isNotEmpty == true) {
      return price?.replaceAll(".", "").replaceAll("đ", "");
    } else {
      return "";
    }
  }
}
