import 'package:freezed_annotation/freezed_annotation.dart';

part 'paging_model.freezed.dart';
part 'paging_model.g.dart';

@freezed
class PagingModel with _$PagingModel {
  factory PagingModel({
    @JsonKey(name: 'current_page') int? currentPage,
    @JsonKey(name: 'total_pages') int? totalPages,
    @JsonKey(name: 'total_count') int? totalCount,
    @JsonKey(name: 'next_page') int? nextPage,
    @JsonKey(name: 'prev_page') int? prevPage,
  }) = _PagingModel;

  factory PagingModel.fromJson(Map<String, dynamic> json) =>
      _$PagingModelFromJson(json);
}
