import 'dart:async';
import 'package:easy_localization/src/public_ext.dart';
import 'package:flutter/material.dart';
import 'package:flutter/services.dart';

import '../text/custom_text_medium_bold_field.dart';
import '../text/custom_text_medium_field.dart';

class CustomWillPopBack {
  static Future<bool> Pop(BuildContext context, bool? isWarning,
      {bool? isReturn = false}) async {
    if (isWarning == true) {
      return await ShowDialogConfirm(context);
    } else {
      Navigator.of(context).pop();
      return isReturn ?? false;
    }
  }

  static Future<dynamic> ShowDialogConfirm(BuildContext context) {
    return showModalBottomSheet(
        context: context,
        builder: (buildContext) {
          return SizedBox(
            child: Column(
              mainAxisSize: MainAxisSize.min,
              children: [
                Padding(
                  /*  */
                  padding: const EdgeInsets.symmetric(vertical: 20),
                  child: CustomTextMediumBoldField(
                      label: "text_are_you_exit_app".tr()),
                ),
                MaterialButton(
                    child: CustomTextMediumField(label: "text_accept".tr()),
                    onPressed: () {
                      SystemNavigator.pop();
                      Future.value(true);
                    }),
                MaterialButton(
                    child: CustomTextMediumField(label: "text_cancel".tr()),
                    onPressed: () {
                      Navigator.pop(context);
                      Future.value(true);
                    }),
              ],
            ),
          );
        });
  }
}
