import 'dart:async';
import 'package:easy_localization/src/public_ext.dart';
import 'package:flutter/material.dart';
import 'package:flutter_spinkit/flutter_spinkit.dart';

import '../../common/values/sizes.dart';
import '../text/custom_text_medium_bold_field.dart';

class LoadingCustomPageWidget extends StatefulWidget {
  LoadingCustomPageWidget({Key? key, this.duration, this.isCart = false, this.msg})
      : super(key: key);

  @override
  State<LoadingCustomPageWidget> createState() =>
      _LoadingCustomPageWidgetState();

  final bool? isCart;
  final String? msg;
  final Duration? duration;
}

class _LoadingCustomPageWidgetState extends State<LoadingCustomPageWidget> {
  Timer? _timer;

  @override
  void dispose() {
    _timer?.cancel();
    super.dispose();
  }

  @override
  Widget build(BuildContext context) {
    _timer?.cancel();
    _timer = Timer(widget.duration ?? Duration(seconds: 2), () {
      Navigator.of(context, rootNavigator: true).pop();
    });
    return Stack(
      alignment: Alignment.center,
      children: [
        Column(
          mainAxisAlignment: MainAxisAlignment.center,
          children: [
            SpinKitCircle(
              size: 40,
              color: Colors.blue[400],
            ),
            SizedBox(
              height: Sizes.HEIGHT_6,
            ),
            CustomTextMediumBoldField(
              label: "text_loading".tr(),
              color: Colors.blue[400],
            )
          ],
        ),
      ],
    );
  }
}
